## crash 3.10

=== Makefile ===
--- 
+++ 
@@ -20,22 +20,27 @@
 #
 # 09/28/00  Transition to CVS version control
 #
-# CVS: $Revision: 1.50 $ $Date: 2004/06/11 20:22:24 $
+# CVS: $Revision: 1.62 $ $Date: 2005/02/21 18:15:16 $
 #
 
 PROGRAM=crash
 
 #
-# Supported targets: X86 ALPHA PPC IA64
+# Supported targets: X86 ALPHA PPC IA64 PPC64
 # TARGET will be configured automatically by configure
 #
 TARGET=
 
+ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
+ifeq ($(ARCH), ppc64)
+CONF_FLAGS = -m64
+endif
+
 #
 # GDB, GDB_FILES and GDB_OFILES will be configured automatically by configure 
 #
-GDB=gdb-6.1
-GDB_FILES=${GDB_6.1_FILES}
+GDB=gdb-6.0
+GDB_FILES=${GDB_6.0_FILES}
 GDB_OFILES=
 
 #
@@ -63,7 +68,7 @@
 MCORE_HFILES=va_server.h vas_crash.h
 REDHAT_HFILES=netdump.h diskdump.h
 LKCD_DUMP_HFILES=lkcd_vmdump_v1.h lkcd_vmdump_v2_v3.h lkcd_dump_v5.h \
-        lkcd_dump_v8.h
+        lkcd_dump_v7.h lkcd_dump_v8.h lkcd_fix_mem.h
 LKCD_TRACE_HFILES=lkcd_x86_trace.h
 IBM_HFILES=ibm_common.h
 UNWIND_HFILES=unwind.h unwind_i.h rse.h
@@ -73,7 +78,7 @@
 	alpha.c x86.c ppc.c ia64.c s390.c s390x.c ppc64.c x86_64.c \
 	extensions.c remote.c va_server.c va_server_v1.c symbols.c cmdline.c \
 	lkcd_common.c lkcd_v1.c lkcd_v2_v3.c lkcd_v5.c lkcd_v7.c lkcd_v8.c\
-	s390_dump.c s390x_dump.c lkcd_x86_trace.c \
+	lkcd_fix_mem.c s390_dump.c s390x_dump.c lkcd_x86_trace.c \
 	netdump.c diskdump.c unwind.c unwind_decoder.c
 
 SOURCE_FILES=${CFILES} ${GENERIC_HFILES} ${MCORE_HFILES} \
@@ -85,7 +90,7 @@
 	alpha.o x86.o ppc.o ia64.o s390.o s390x.o ppc64.o x86_64.o \
 	extensions.o remote.o va_server.o va_server_v1.o symbols.o cmdline.o \
 	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
-	s390_dump.o s390x_dump.o netdump.o diskdump.o \
+	lkcd_fix_mem.o s390_dump.o s390x_dump.o netdump.o diskdump.o \
 	lkcd_x86_trace.o unwind_v1.o unwind_v2.o unwind_v3.o
 
 DAEMON_OBJECT_FILES=remote_daemon.o va_server.o va_server_v1.o \
@@ -134,14 +139,24 @@
           ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o ${GDB}/gdb/ui-file.o \
           ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o
 
+GDB_6.0_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
+          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
+          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
+          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c \
+	  ${GDB}/gdb/ppc-linux-tdep.c ${GDB}/sim/ppc/ppc-instructions \
+	  ${GDB}/bfd/simple.c
+GDB_6.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
+          ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
+          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o \
+	  ${GDB}/gdb/ppc-linux-tdep.o ${GDB}/bfd/simple.o
+
 GDB_6.1_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
           ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
           ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
-          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c
+          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c
 GDB_6.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
           ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
-          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o 
-
+          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o
 
 # 
 # GDB_FLAGS is passed up from the gdb Makefile.
@@ -207,7 +222,7 @@
 
 make_configure: force
 	@rm -f configure
-	@cc -o configure configure.c ${WARNING_ERROR} ${WARNING_OPTIONS}
+	@cc ${CONF_FLAGS} -o configure configure.c ${WARNING_ERROR} ${WARNING_OPTIONS}
 
 clean:
 	rm -f ${OBJECT_FILES} ${DAEMON_OBJECT_FILES} ${PROGRAM} ${PROGRAM}lib.a ${GDB_OFILES}
@@ -303,27 +318,3 @@
 # remote.c functionality has been deprecated
 remote.o: ${GENERIC_HFILES} remote.c
 	@cc -c ${CFLAGS} remote.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-remote_daemon.o: ${GENERIC_HFILES} remote.c
-	cc -c ${CFLAGS} -DDAEMON remote.c -o remote_daemon.o ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-x86.o: ${GENERIC_HFILES} x86.c
-	cc -c ${CFLAGS} -DMCLX x86.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-alpha.o: ${GENERIC_HFILES} alpha.c
-	cc -c ${CFLAGS} ${GDB_FLAGS} alpha.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-ppc.o: ${GENERIC_HFILES} ppc.c
-	cc -c ${CFLAGS} ppc.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-ia64.o: ${GENERIC_HFILES} ia64.c
-	cc -c ${CFLAGS} ia64.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-ppc64.o: ${GENERIC_HFILES} ppc64.c
-	cc -c ${CFLAGS} ppc64.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-x86_64.o: ${GENERIC_HFILES} x86_64.c
-	cc -c ${CFLAGS} x86_64.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
-s390.o: ${GENERIC_HFILES} ${IBM_HFILES} s390.c
-	cc -c ${CFLAGS} s390.c ${WARNING_OPTIONS} ${WARNING_ERROR}
-
