=== debian/changelog ===
crash (3.10-13.9-1) unstable; urgency=medium

  * New upstream version 3.10-13.9 (closes: #293657) 
  * Removing 01_Alpha_FTBS_fix.dpatch because it's now upstream

 -- Troy Heber <troy.heber@hp.com>  Fri, 10 Jun 2005 10:59:49 -0600 

crash (3.10-11-3) unstable; urgency=medium

  * Updated debian/control description to integrate with LKCD suite
  * Updated debian/control to Suggest kernel-patch-lkcd and dumputils

 -- Micah Anderson <micah@debian.org>  Mon, 14 Mar 2005 15:23:19 -0600

crash (3.10-11-2) unstable; urgency=medium

  * Moving Architecture to any
  * Adding patch to move ia64 NR_CPUS to 64 to match kernel-patch-LKCD

 -- Troy Heber <troy.heber@hp.com>  Mon, 14 Mar 2005 13:42:43 -0700 

crash (3.10-11-1) unstable; urgency=medium

  * New upstream version 3.10-11
  * New maintainer Troy Heber <troy.heber@hp.com>
  * New co-maintainer Micah Anderson <micah@debian.org>
  * Patch to fix FTBS on Alpha, sent patch upstream as well.

 -- Troy Heber <troy.heber@hp.com>  Wed, 02 Mar 2005 12:04:03 -0700

crash (3.8-2.1-3) unstable; urgency=low

  * Add missing Build-Depend on dbs. (closes: #258046)

 -- Josh Huber <huber@debian.org>  Wed,  7 Jul 2004 13:18:05 +0000

crash (3.8-2.1-2) unstable; urgency=low

  * Update to debhelper compat version 4

 -- Josh Huber <huber@debian.org>  Fri, 25 Jun 2004 13:16:45 +0000

crash (3.8-2.1-1) unstable; urgency=low

  * New upstream release! (closes: #249954)
  * Misc packaging fixes:
    + Repackaged with DBS, due to difficult source distribution.
    + Brought man page in-line with actual command line options.
    + Include changelog from distribution site.

 -- Josh Huber <huber@debian.org>  Wed, 23 Jun 2004 18:25:59 +0000

crash (3.3-1.2) unstable; urgency=low

  * Non-maintainer upload
  * Fixed build problems with gcc-3.3 (multiline strings). (Closes: #196710)
  * debian/copyright: Fixed upstream URI. (Closes: #197985)

 -- Marc Brockschmidt <marc@dch-faq.de>  Sun, 26 Oct 2003 13:31:57 +0100

crash (3.3-1.1) unstable; urgency=low

  * NMU (RC bug almost 4 months old).
  * debian/control:
    + Package description is no longer a full sentence.
    + Set policy to 3.5.10.
  * debian/copyright:
    + Added the GPL location blurb.
  * debian/rules:
    + Set the debhelper build dependency to >=2.0.
  * Removed "case NULL:" constructs with "case '\0':" in various places to
    fix compilation (Closes: #180190).
  * Replaced "cc" with "gcc" in the Makefile.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  6 Jun 2003 00:51:57 +0200

crash (3.3-1) unstable; urgency=low

  * New upstream release (Closes: #134967)

 -- Josh Huber <huber@debian.org>  Fri,  1 Mar 2002 10:51:00 -0500

crash (3.2-1) unstable; urgency=low

  * New upstream release. Adds IA64 support.

 -- Josh Huber <huber@debian.org>  Thu, 17 Jan 2002 12:25:49 -0500

crash (3.1-4) unstable; urgency=medium

  * Fixed missing build-depends on libncurses.  Should build on the
    autobuilders now

 -- Josh Huber <huber@debian.org>  Fri, 30 Nov 2001 16:57:44 -0500

crash (3.1-3) unstable; urgency=low

  * Fixed false-positive builds (hopefully no packages with missing
    binaries now)

 -- Josh Huber <huber@debian.org>  Tue, 20 Nov 2001 13:35:40 -0500

crash (3.1-2) unstable; urgency=low

  * Added binutils-dev and zlib1g-dev to the build-depends
    (closes #114061)

 -- Josh Huber <huber@debian.org>  Mon,  1 Oct 2001 11:22:08 -0400

crash (3.1-1) unstable; urgency=low

  * New upstream version (3.1)
    (note, I never uploaded the 3.0 package)

 -- Josh Huber <huber@debian.org>  Tue, 25 Sep 2001 11:31:50 -0400

crash (3.0-1) unstable; urgency=low

  * New upstream version (3.0)

 -- Josh Huber <huber@debian.org>  Wed, 15 Aug 2001 19:41:25 -0400

crash (2.6-1) unstable; urgency=low

  * new release (closes: #90895) 

 -- Josh Huber <huber@debian.org>  Mon, 26 Mar 2001 15:54:55 -0500

crash (2.5-2) unstable; urgency=low

  * fixed maintainer address

 -- Josh Huber <huber@debian.org>  Tue, 12 Dec 2000 23:33:41 -0500

crash (2.5-1) unstable; urgency=low

  * new upstream version

 -- Josh Huber <huber@debian.org>  Sat,  9 Dec 2000 10:52:06 -0500

crash (2.4-1) unstable; urgency=low

  * Initial Release.

 -- Josh Huber <huber@mclx.com>  Tue, 10 Oct 2000 18:00:20 -0400

Local variables:
mode: debian-changelog
End:
